FILELIST="`ls -R *.c` lodepng/lodepng.c"
CFLAGS="-s -O3 -ffast-math -Wall -Winline -march=native"
LDFLAGS="-lm"
#CFLAGS="-g -O0 -Wall"
OUTFILE="ctrace.exe"

echo "INFO: Compiling..."
gcc $CFLAGS $LDFLAGS $FILELIST -o $OUTFILE
#upx --best $OUTFILE
echo "INFO: Compiling finished."